body {
  width: 100%;
  height: 100vh;
  background: radial-gradient(ellipse at center, white, #9a9afd); /* Radial gradient */
  overflow-x: hidden;
  position: relative;
}

.header {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  padding-right: 250px;
  border-radius: 50px;
}

.logo img {
  border-radius: 50%; /* Circular shape */
  max-width: 200px; /* Limit logo size */
  margin-right: 20px; /* Space between logo and title */
}

.title-tagline-container {
  display: flex;
  flex-direction: column; /* Stack title and tagline vertically */
  align-items: center; /* Center-align title and tagline horizontally */
  text-align: center; /* Center-align text within the container */
}

.title {
  font-size: 70px;
  font-weight: 400;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  font-style: italic;
  color: blue;
  margin: 0; /* Reset margin for title */
}

.tagline {
  font-size: 24px;
  font-style: italic;
  color: black;
  margin: 5px 0; /* Add a small margin between title and tagline */
}

.carousel-container {
  width: 70%;
  margin: 0 auto;
  overflow: hidden;
  position: relative;
  z-index: 3;
}

.navbar {
  position: absolute;
  top: 300px;
  left: 0;
  width: 200px;
  height: auto; /* Remove the fixed height to make it adjust to content */
  color: white;
  font-size: larger;
  padding: 20px;
  box-sizing: border-box;
  z-index: 2;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  border-radius: 50px;
  border: black solid 2px;
  margin-left: 70px;
}

.navbar a {
  color: white;
  text-decoration: none;
  padding: 10px 16px;
  transition: background-color 0.3s, color 0.3s;
}

.navbar a:hover {
  background-color: #8989f3;
  color: black;
  border-radius: 50px;
}

.home-image {
  display: flex;
  justify-content: center;
  align-items: left;
  height: 70vh; /* Use the full viewport height */
  padding-bottom: 30px;
}

.ticker-container {
  width: 70%; /* Set a specific width for the container */
  margin: 0 auto; /* Center the container horizontally */
}

.ticker {
  width: 100%;
  overflow: hidden;
  position: relative;
}


.ticker-text {
  display: inline-block;
  white-space: nowrap;
  animation: tickerAnimation 30s linear infinite;
  color: #983235;
  font-size: 24px;
  font-style: italic;
  font-weight: bolder;
  padding: 10px;
}


@keyframes tickerAnimation {
  from {
    transform: translateX(100%);
  }
  to {
    transform: translateX(-100%);
  }
}

.announcement {
  position: absolute;
  bottom: 20px;
  right: 50px;
  padding: 10px 20px;
  border-radius: 10px;
  max-width: 300px;
}

/* Style for the text within the announcement */
.announcement-text {
  font-size: 24px;
  font-style: italic;
  color: #333; /* Text color */
  margin: 5px 0; /* Adjust margin */
}

/* Style for the quote within the announcement */
.announcement blockquote {
  font-size: 14px;
  font-style: italic;
  color: #666; /* Quote text color */
  margin: 5px 0; /* Adjust margin */
}

.arts-container {
  display: flex; /* Use flexbox */
  align-items: center; /* Vertically align items */
  max-width: 80%;
  margin: 0 auto;
  padding: 20px;
}

.arts-image {
  flex: 1; /* Take up available space */
  padding-right: 20px;
}

.arts-image img {
  max-width: 50%;
  height: auto;
  border-radius: 10px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
}

.arts-content {
  flex: 1; /* Take up available space */
  max-width: 30%;
  padding-right: 20px;
  margin-left: 150px;
    font-style: normal;
}

.fund-image-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* Create a 3x3 grid with 3 columns */
  grid-template-rows: repeat(2, auto); /* Create 2 rows with automatic height */
  gap: 10px; /* Adjust the spacing between images */
  max-width: 80%; /* Adjust the maximum width */
  margin: 0 auto; /* Center the grid horizontally */
  margin-right: 50px;
  margin-left: 300px;
}

.fund-image-container {
  margin-bottom: 20px;
  width: 100%;
  height: 80;
}

.fund-image-container img {
  max-width: 100%;
  height: auto;
  display: block;
  border-radius: 20px;
}

.fund-text-container {
  margin-left: 25%;
}

.content-container {
  display: flex;
  justify-content: space-between; /* Adjust as needed */
  align-items: flex-start; /* Align items to the top */
  padding-top: 15px;
  padding-left: 50px;
}

.class-text-container {
  justify-content: left;
  align-items: center;
  height: 20vh; /* Adjust as needed */
  background-color: transparent;
  margin-left: 15%;
}

.class-text {
  max-width: 750px;
  padding: 20px;
  padding-left: 50px;
  background-color: transparent;
  border-radius: 10px;
}

.class-text p {
  margin-bottom: 15px;
}

.class-text ol {
  padding-left: 100px;
}

.class-grid-container {
  max-width: fit-content;
  height: 600px;
  padding-top: 20px;
}

.class-image-grid {
  display: flex;
  justify-content: flex-start; /* Start images from left */
  align-items: flex-start; /* Align images to top */
  flex-wrap: wrap; /* Allow images to wrap to new lines */
  max-width: 70%;
  margin: 10px;
  padding-left: 5%
}

.class-image-container {
  flex: 0 0 calc(30% - 16px); /* Adjust for five columns */
  margin-right: 20px;
  margin-bottom: 15px;
}

.class-image-container img {
  max-width: 100%;
  width: 100%;
  height: auto;
  display: block;
  border-radius: 10%;
  z-index: 1;
}

.class-image-container:hover img {
  opacity: 1;
  z-index: 2;
  transform: scale(1.6); /* Keep the image scaled after animation */
}



.future-events-text {
  margin-left: 300px;
  font-family: cursive;
}

.future-events-image-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* Create a 1x4 grid */
  gap: 20px; /* Adjust the spacing between images */
  text-align: center;
  margin-left: 300px;
  margin-right: 50px;
  position: relative; /* Set the container as a relative positioning context */
}

.future-events-image-container {
  max-width: 100%; /* Ensure images don't exceed container width */
  width: 100%; /* Make the container full width */
  text-align: center;
  position: relative; /* Set the image container as a positioning context */
}

.future-events-image-container img {
  max-width: 100%; /* Make sure images don't exceed their container */
  height: auto;
  border-radius: 10px;
  width: 100%; /* Make images fill their containers */
}

/* Style for the list items */
.future-events-image-container .image-caption {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.7); /* Add a background color */
  color: white;
  padding: 5px;
  font-size: 14px;
  text-align: center;
  border-radius: 10px 10px 0 0; /* Rounded top corners */
}

.donation-image {
  margin-left: 21%;
  padding-top: 15px;
}

.donation-image img {
  border-radius: 20px;
}

.donation-container {
  display: flex;
  padding: 30px;
  text-align: center;
  z-index: 1;
}

.donation-box {
  padding: 20px;
  border-radius: 10px;
}

.donation-box h3 {
  font-size: 24px;
  margin-bottom: 10px;
}

.donation-box p {
  font-size: 16px;
  margin-bottom: 20px;
}

.donation-box form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.donation-box label {
  font-size: 16px;
  margin-bottom: 5px;
}

.donation-box input {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.donation-box button {
  padding: 10px 20px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.donation-box button:hover {
  background-color: #0056b3;
}

.credit-cards {
  display: flex;
  width: 5px;
  height: 5px;
  align-items: center;
  gap: 10px; /* Adjust spacing between symbols */
  padding-top: 30px;
  padding-left: 185px;
}

.credit-cards img {
  width: 40px;
}

.donation-address {
  text-align: center;
  margin-top: 10px;
  z-index: 2;
}

.donation-address p {
  margin: 5px 0; /* Reduce the margin around paragraphs */
}

.contacts-container {
  display: flex; /* Use flexbox */
  max-width: 75%;
  margin: 0 auto;
}

.crisis-container {
  flex: 1; /* Take up remaining space */
  padding: 30px;
  margin-left: 100px;
  border-radius: 20px;
}

.contact-us {
  flex: 1; /* Take up remaining space */
  padding: 20px;
  background-color: #f2f2f2;
  border-radius: 10px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
  border: 1px solid black;
}

.contact-us h2 {
  font-size: 24px;
  margin-bottom: 20px;
}

.contact-us form label {
  display: block;
  font-weight: bold;
  margin-bottom: 5px;
}

.contact-us form input,
.contact-us form textarea {
  width: 90%;
  padding: 10px;
  margin-bottom: 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.contact-us form button {
  padding: 10px 20px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.contact-us form button:hover {
  background-color: #0056b3;
}

.donate-button {
  position: absolute;
  top: 70px;
  right: 150px;
  padding: 10px 20px;
  background-color: blue;
  color: white;
  text-decoration: none;
  font-size: 24px;
  border-radius: 30px;
}

.donate-button:hover {
  background-color: #0056b3; /* Change to the hover color */
}

/* Add media query for responsive design */
@media (max-width: 768px) {
  .donate-button {
    top: 50px; /* Move the button up */
    right: 10px; /* Move the button to the right */
    font-size: 20px; /* Reduce font size */
    border-radius: 15px; /* Reduce border-radius */
  }

  /* Adjust the announcement div for smaller screens */
  .announcement {
    bottom: 10px; /* Move the div up */
    right: 10px; /* Move the div to the right */
    max-width: 250px; /* Reduce the maximum width */
  }

  /* Move the "Donate Now" button and announcement div above the navbar */
  .donate-button,
  .announcement {
    position: relative;
    z-index: 2; /* Ensure they are above the navbar */
  }

  /* Adjust the navbar for smaller screens */
  .navbar {
    position: static; /* Remove fixed position */
    width: 100%; /* Make the navbar full-width */
    justify-content: center; /* Center-align links */
    text-align: center; /* Center-align text within links */
    border: none; /* Remove border */
    margin-left: 0; /* Remove left margin */
    color: white;
  }
}

@media (width: 1280px) and (height: 800px) {
  .crisis-container {
    margin-right: 0; /* Reset margin-right */
  }

  .donation-image {
    margin-right: 0; /* Reset margin-right */
  }
  
}

@media (max-width: 390px) and (max-height: 844px) {
  /* Adjust the header for the specified screen size */
  .header {
    padding: 10px; /* Reduce padding for the header */
  }

  /* Adjust the logo size for the specified screen size */
  .logo img {
    max-width: 150px; /* Reduce logo size */
    margin-right: 10px; /* Reduce space between logo and title */
  }

  /* Adjust the title font size for the specified screen size */
  .title {
    font-size: 40px; /* Reduce title font size */
  }

  /* Adjust the tagline font size for the specified screen size */
  .tagline {
    font-size: 16px; /* Reduce tagline font size */
  }
  .navbar {
    position: static; /* Remove fixed position */
    width: 100%; /* Make the navbar full-width */
    justify-content: center; /* Center-align links */
    text-align: center; /* Center-align text within links */
    border: none; /* Remove border */
    margin-left: 0; /* Remove left margin */
    color: white;
  }

  .navbar a {
    padding: 10px 0; /* Adjust padding for better touch interaction */
    display: block; /* Make links full-width for better touch targets */
    color: white;
    text-decoration: none;
    margin-bottom: 5px; /* Add spacing between links */
    border-radius: 0; /* Remove border-radius */
  }

  .navbar a:hover {
    background-color: #b2b2eb;
    color: black;
    border-radius: 50px;
  }

  .home-image {
    align-items: center; /* Center-align content */
    height: auto; /* Adjust height based on content */
    padding-bottom: 0; /* Remove padding */
  }

  .donate-button {
    top: 30px; /* Move the button up */
    right: 10px; /* Move the button to the right */
    font-size: 18px; /* Reduce font size */
    border-radius: 12px; /* Reduce border-radius */
  }

  /* Further adjust the announcement div for very small screens */
  .announcement {
    bottom: 10px; /* Move the div up */
    right: 10px; /* Move the div to the right */
    max-width: 200px; /* Reduce the maximum width */
  }

  /* Add more adjustments for other elements as needed */
}


/* Add a media query for iPhone 12 */
@media (max-width: 1170px) and (max-height: 2532px) {
  .header {
    padding: 10px; /* Reduce padding for the header */
  }

  /* Adjust the logo size for the specified screen size */
  .logo img {
    max-width: 150px; /* Reduce logo size */
    margin-right: 10px; /* Reduce space between logo and title */
  }

  /* Adjust the title font size for the specified screen size */
  .title {
    font-size: 40px; /* Reduce title font size */
  }

  /* Adjust the tagline font size for the specified screen size */
  .tagline {
    font-size: 16px; /* Reduce tagline font size */
  }

  /* Adjust the navbar for the specified screen size */
  .navbar {
    position: static; /* Remove fixed position */
    width: 100%; /* Make the navbar full-width */
    justify-content: center; /* Center-align links */
    text-align: center; /* Center-align text within links */
    border: none; /* Remove border */
    margin-left: 0; /* Remove left margin */
    order: 2;
  }

  .navbar a {
    padding: 10px 0; /* Adjust padding for better touch interaction */
    display: block; /* Make links full-width for better touch targets */
    color: rgb(67, 67, 67);
    text-decoration: none;
    margin-bottom: 5px; /* Add spacing between links */
    border-radius: 0; /* Remove border-radius */
  }

  .navbar a:hover {
    background-color: #b2b2eb;
    color: black;
    border-radius: 50px;
  }

  /* Adjust the home image for the specified screen size */
  .home-image {
    align-items: center; /* Center-align content */
    height: auto; /* Adjust height based on content */
    padding-bottom: 0; /* Remove padding */
  }

  .ticker-container {
    width: 70%; /* Set a specific width for the container */
    margin: 0 auto; /* Center the container horizontally */
    order: 1;
  }
  
  .ticker {
    width: 100%;
    overflow: hidden;
    position: relative;
  }
  

  .ticker-text {
    animation-duration: 40s; /* Adjust the duration for smaller screens */
    animation-delay: -15s; /* Start the animation closer to the center */
  }
  
  
  @keyframes tickerAnimation {
    from {
      transform: translateX(100%);
    }
    to {
      transform: translateX(-100%);
    }
  }
  
  .arts-container {
    flex-direction: column; /* Stack items vertically */
    align-items: center; /* Center-align items */
    max-width: 100%; /* Make it full-width */
    padding: 30px; /* Adjust padding */
    order: 3;
  }

  .arts-image {
    flex: none; /* Reset flex property */
    padding-right: 0; /* Remove padding */
    margin-bottom: 20px; /* Add spacing between images and content */
  }

  .arts-image img {
    max-width: 100%; /* Make images full-width */
    height: auto; /* Maintain aspect ratio */
  }

  .arts-content {
    flex: none; /* Reset flex property */
    max-width: 100%; /* Make content full-width */
    margin-left: 0; /* Remove left margin */
  }

  .content-container {
    flex-direction: column; /* Stack items vertically for small screens */
    align-items: center; /* Center-align items */
  }

  .fund-image-grid {
    grid-template-columns: 1fr; /* Change to a single column */
    margin-left: 10%; /* Adjust margin for centering */
    max-width: 80%; /* Adjust max-width for smaller screens */
    gap: 5px; /* Reduce spacing between images */
  }

  .fund-image-container {
    margin-bottom: 10px; /* Reduce spacing between image containers */
  }

  .fund-text-container {
    margin-left: 10%; /* Adjust margin for centering */
  }


  .class-text-container {
    height: auto; /* Adjust height based on content */
    margin-left: 0; /* Remove left margin */
  }

  .class-text {
    max-width: 80%; /* Make text full-width */
    padding: 10px; /* Adjust padding */
    border-radius: 0; /* Remove border-radius */
  }

  .class-text p {
    margin-bottom: 10px; /* Reduce margin between paragraphs */
  }

  .class-text ol {
    padding-left: 30px; /* Adjust the padding for the ordered list */
  }

  .class-grid-container {
    max-width: 100%; /* Make the grid container full-width */
    height: auto; /* Adjust height based on content */
  }

  .class-image-grid {
    justify-content: center; /* Center-align images */
    padding-left: 0; /* Remove left padding */
    max-width: 100%;
  }

  .class-image-container {
    flex: 0 0 calc(50% - 16px); /* Adjust for two columns, subtract margin */
    margin-right: 20px; /* Add right margin for spacing between columns */
    margin-bottom: 20px; /* Add spacing between images */
  }

  .class-image-container img {
    width: 100%; /* Make images 1.5 times wider than their original size */    
    height: auto; /* Maintain aspect ratio */
    border-radius: 20px; /* Remove border-radius */
    opacity: 1; /* Reset opacity */
    z-index: 0; /* Reset z-index */
  }

  .class-image-container:hover img {
    animation: none; /* Remove the hover animation */
    transform: none; /* Reset transform */
  }

  .future-events-text {
    margin-left: 10px; /* Adjust margin for smaller screens */
  }

  .future-events-image-grid {
    grid-template-columns: repeat(1, 1fr); /* Change to a single column layout */
    margin-left: 10px; /* Adjust margin for smaller screens */
    margin-right: 25px; /* Adjust margin for smaller screens */
    margin-bottom: 10px;
  }

  /* Reset the image captions */
  .future-events-image-container .image-caption {
    position: static;
    background-color: transparent;
    color: black;
    padding: 10px;
    font-size: 14px;
    border-radius: 0;
  }

  .donation-image {
    margin-left: auto; /* Remove the left margin */
    margin-right: auto; /* Add auto margin to horizontally center */
    text-align: center; /* Center-align text */
    padding-top: 15px; /* Keep the padding */
    padding-right: 15px;
  }

  .donation-image img {
    max-width: 100%; /* Make the image responsive */
    height: auto; /* Maintain aspect ratio */
    border-radius: 20px; /* Keep the border-radius as is */
  }

  .donation-container {
    flex-direction: column; /* Stack items vertically for small screens */
    align-items: center; /* Center-align items */
    padding: 10px; /* Adjust padding */
  }

  .donation-box {
    max-width: 90%; /* Make the box slightly narrower */
    padding: 10px; /* Adjust padding */
    border-radius: 0; /* Remove border-radius */
  }

  .donation-box h3 {
    font-size: 20px; /* Reduce font size */
    margin-bottom: 5px; /* Reduce margin */
  }

  .donation-box p {
    font-size: 14px; /* Reduce font size */
    margin-bottom: 10px; /* Reduce margin */
  }

  .donation-box form {
    align-items: center; /* Center-align form items */
  }

  .donation-box label {
    font-size: 14px; /* Reduce font size */
    margin-bottom: 5px; /* Reduce margin */
  }

  .donation-box input {
    width: 90%; /* Make input slightly narrower */
    padding: 8px; /* Adjust padding */
    margin-bottom: 8px; /* Reduce margin */
    border-radius: 5px;
  }

  .donation-box button {
    padding: 8px 16px; /* Adjust padding */
    font-size: 14px; /* Reduce font size */
    border-radius: 5px;
  }

  .credit-cards {
    width: 100%; /* Make the container full-width */
    padding-top: 10px; /* Adjust padding */
    padding-left: 0; /* Remove left padding */
    justify-content: center; /* Center-align symbols */
    gap: 5px; /* Reduce spacing between symbols */
  }

  .credit-cards img {
    width: 30px; /* Reduce image size */
  }

  .donation-address {
    margin-top: 10px;
    z-index: 0; /* Reduce z-index */
  }

  .donation-address p {
    margin: 5px 0; /* Reduce margin around paragraphs */
  }

  .contacts-container {
    display: block; /* Change to block for stacking on small screens */
    width: 100%; /* Make it full width */
  }

  .maple-container img {
    border-radius: 20px;
    width: 100%;
  }

  .maple-container,
  .contact-us {
    flex: none; /* Reset flex property */
    padding: 15px; /* Adjust padding */
    margin: 0 auto; /* Center-align them horizontally */
    margin-bottom: 20px; /* Add spacing between the sections */
  }

  .contact-us {
    background-color: #f2f2f2;
    border-radius: 10px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    border: 1px solid black;
    margin-right: 10px;
  }

  .contact-us h2 {
    font-size: 24px;
    margin-bottom: 15px; /* Adjust margin */
  }

  .contact-us form label {
    margin-bottom: 5px;
  }

  .contact-us form input,
  .contact-us form textarea {
    width: 90%; /* Make input fields full width */
  }

  .contact-us form button {
    width: 100%; /* Make the button full width */
  }

  .donate-button {
    top: 30px; /* Move the button up */
    right: 10px; /* Move the button to the right */
    font-size: 18px; /* Reduce font size */
    border-radius: 12px; /* Reduce border-radius */
  }

  /* Further adjust the announcement div for very small screens */
  .announcement {
    bottom: 10px; /* Move the div up */
    right: 10px; /* Move the div to the right */
    max-width: 200px; /* Reduce the maximum width */
  }

}
